PUT
/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/stopSuspend sale of each item of a product
# 01
Summary
Available buyer market: Korea, Taiwan Change the sale status of each item of a product to 'suspended'. This feature can be used when option ID(vendorItemId) is issued after sale request is approved.
# 02
Details
Available buyer market: Korea, Taiwan
Change the sale status of each item of a product to 'suspended'. This feature can be used when option ID(vendorItemId) is issued after sale request is approved.
Path
PUT
/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/stop
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/stop
Request Parameters
Path Segment Parameter
| Name | Type | Description |
|---|---|---|
| vendorItemId* | Number | OptionID
It is a unique number given to a vendor item.
|
Request Example
not require body
Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Result code | SUCCESS/ERROR |
||||
| message | String | Result message |
||||
Response Example
{
"code": "SUCCESS",
"message": "Sale has been suspended."
}Error Spec
| HTTP status code (error type) | Error message | Solution |
|---|---|---|
| 400 (Check request parameter) | Failed to suspend sales. [OptionID[5469***088] : You cannot change the status of a deleted item.] | Check if optionID(vendorItemId) is deleted. |
| 400 (Check request parameter) | Failed to suspend sales. [vendoritemid 3919***504 not found] | Check if correct optionID(vendorItemId) value is entered. |
URL API Name
STOP_PRODUCT_SALES_BY_ITEM